
Redmine - Patch #15906

Create a default forum by default

2014-01-20 09:35 - Jan from Planio www.plan.io

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee: Jean-Baptiste Barth % Done: 0%

Category: Forums Estimated time: 0.00 hour

Target version: Candidate for next minor release   

Description

In my experience, new or inexperienced users find it hard to get started with the forums. This is because of the fact that it doesn't

suffice to enable the module, one has to also create a first forum in the project settings.

I therefore propose this patch which adds an empty "general" forum when the module is activated. It uses the same mechanism that

creates the project's wiki.

This way, users will see the "Forums" tab in their project immediately after they enabled the module.

Related issues:

Related to Redmine - Feature #7724: Ability to create default forums when a n... New 2011-02-25

History

#1 - 2014-07-30 09:41 - Jan from Planio www.plan.io

- Target version set to Candidate for next minor release

#2 - 2014-08-15 21:23 - Matt Smith

+1 for this feature.  Or, add a 'Create forum' link on the forum page.

#3 - 2014-09-06 06:11 - Jean-Baptiste Barth

- File create_general_forum_by_default_v2.patch added

- Status changed from New to Needs feedback

- Assignee set to Jean-Baptiste Barth

+1 for this, improved patch attached with some tests. I'm not sure we should include a new locale key though, locale maintenance is just a pain. Let

me know what you think.

#4 - 2014-09-08 12:57 - Jan from Planio www.plan.io

Jean-Baptiste Barth wrote:

+1 for this, improved patch attached with some tests. I'm not sure we should include a new locale key though, locale maintenance is just a pain.

Let me know what you think.

 Thanks for adding tests to my patch. I agree that managing locales is a pain, but I don't see a better way than to have a (english) text like "General" or

something which would be fine for French/English/German I think, but certainly not for other languages. Do you have a better idea to avoid the locale

key?

#5 - 2014-09-08 18:21 - Ebrahim Mohammadi

Please let's develop Redmine in a way that doesn't undermine its internationalization, specially for non-Latin locales. It seems Redmine has got many

users in non-Latin locales, e.g. Japanese.

#6 - 2014-09-09 06:11 - Jean-Baptiste Barth

jan jan: I was thinking about giving a shorter description with the same key, but it feels weird / not polished. :(

Ebrahim Mohammadi: obviously we all love the fact that Redmine has many available translations ; here we can either add a new locale key that may

not be translated in much languages now, or not add it and rely on a poorer version with existing keys ; what's your opinion ?

#7 - 2014-09-09 14:43 - Jan from Planio www.plan.io
Jean-Baptiste Barth wrote:

jan jan: I was thinking about giving a shorter description with the same key, but it feels weird / not polished. :(

 Ah! I think I tried that, too, but could not find one...

#8 - 2014-09-11 19:39 - Ebrahim Mohammadi

What do you think about introducing a new key, but defaulting its value to value of an already existing key (say label_general) for every existing

locale?

Update: By the way there is no problem with using label_general key for Persian locale.

#9 - 2020-02-03 16:03 - Go MAEDA

- Related to Feature #7724: Ability to create default forums when a new project is created added

Files

create_general_forum_by_default.patch 1.54 KB 2014-01-20 Jan from Planio www.plan.io

create_general_forum_by_default_v2.patch 3.83 KB 2014-09-06 Jean-Baptiste Barth
